Get Deployment Filter By Id Using GET
Returns the Deployment filter with the supplied ID.
Request
URI
GET
https://{api_host}//api.mgmt.cloud.vmware.com/deployment/api/deployments/filters/{filterId}
COPY
Path Parameters
string
filterId
Required
Filter Id
Query Parameters
string
search
Optional
Search string for filters
Responses
200
OK
Returns
PageOfFilterEntry
of type(s)
*/*
{
"content": [
{
"count": 0,
"id": "string",
"name": "string"
}
],
"empty": false,
"first": false,
"last": false,
"number": 0,
"numberOfElements": 0,
"size": 0,
"sort": {
"empty": false,
"sorted": false,
"unsorted": false
},
"totalElements": 0,
"totalPages": 0
}
boolean
empty
Optional
empty
boolean
first
Optional
first
boolean
last
Optional
last
integer As int32
As int32
number
Optional
number
integer As int32
As int32
numberOfElements
Optional
numberOfElements
integer As int32
As int32
size
Optional
size
integer As int64
As int64
totalElements
Optional
totalElements
integer As int32
As int32
totalPages
Optional
totalPages
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Not Found
Operation doesn't return any data structure
Deployments Operations
GET
Check Deployment Name Using GET
DELETE
Delete Deployment Using DELETE
DELETE
Delete Resource Using DELETE
GET
Get Deployment By Id Using GET
GET
Get Deployment Filter By Id Using GET
GET
Get Deployment Filters Using GET
GET
Get Deployment Resources Using GET
GET
Get Deployments For Project Using GET
GET
Get Deployments Using GET
GET
Get Resource By Id Using GET
PATCH
Patch Deployment Using PATCH